Subject: bug#15269: Infinite loop

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 25 Jan 2017 17:47:39 +0100

Lars Ingebrigtsen <[email-masked]> writes:

> Dave Abrahams <[email-masked]> writes:
>
>> I think this happens after I invoke gnus-summary-mark-as-expirable...
>> When I debug-on-quit, here's what I get:
>>   message("Hiding the thread moved us backwards, aborting!")
>>   gnus-summary-hide-thread()
>>   gnus-summary-hide-all-threads((lambda (elem) (not (gnus-article-unread-p elem))))
>>   gnus-summary-maybe-hide-threads()
>>   gnus-summary-limit((4645 4655 4691 4706 4957 4974 4980 5009 5010
>> 5023 5026 5092 5101 5103 5104 5106 5110 5113 5116 5123 5135 5163
>> 5164 5169 5180 5189 5200 5228 5233 5276 5286 5289 5309 5317 5339
>> 5361 5364 5369 5393 5394 5425 5429 5504 5521 5711 5712 5713 5718
>> 5740 5742 ...))
>>   gnus-summary-insert-new-articles()
>>   call-interactively(gnus-summary-insert-new-articles nil nil)
>
> Hm, that's not `gnus-summary-mark-as-expirable'...
>
> Anyway, I thought we'd finally fixed this bug last year, but I guess
> not.  I'm unable to reproduce it, though -- no matter what I do, `/ N'
> doesn't infloop.
>
> Does this happen all the time for you, or just sometimes?

No response in the last two years, so I'm closing this bug report.  Feel
free to reopen if it's still an issue.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no